## org.apache.batik.swing
Class JSVGCanvas.ZoomAction

    java.lang.Object
      javax.swing.AbstractAction
          org.apache.batik.swing.JSVGCanvas.AffineAction
              org.apache.batik.swing.JSVGCanvas.ZoomAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

Direct Known Subclasses:
  JSVGCanvas.ZoomInAction, JSVGCanvas.ZoomOutAction

Enclosing class:
  JSVGCanvas

    public class JSVGCanvas.ZoomAction

extends JSVGCanvas.AffineAction

A swing action to apply a zoom factor to the canvas. This can be used to zoom in (scale > 1) and out (scale <1).

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`JSVGCanvas.ZoomAction(double scale)`
`JSVGCanvas.ZoomAction(double scaleX, double scaleY)`

Method Summary

Methods inherited from class org.apache.batik.swing.JSVGCanvas.AffineAction
`actionPerformed`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSVGCanvas.ZoomAction

    public JSVGCanvas.ZoomAction(double scale)

### JSVGCanvas.ZoomAction

    public JSVGCanvas.ZoomAction(double scaleX,
                                 double scaleY)

Copyright © 2008 Apache Software Foundation. All Rights Reserved.